Subject: Re: [0/2] Fix problems with with IFLA_VF_PORTS

From: Greg Rose <[email-masked]>
Date: Wed, 23 Apr 2014 08:14:15 -0700

On Wed, 23 Apr 2014 17:21:03 +1000
David Gibson <[email-masked]> wrote:

> I've had a customer encounter a problem with getifaddrs(3) freezing up
> on a system with a Cisco enic device.
> 
> I've discovered that the problem is caused by an enic device with a
> large number of SR-IOV virtual functions overflowing the normal sized
> packet buffer for netlink, leading to interfaces not being reported
> from an RTM_GETLINK request.
> 
> The first patch here just makes the problem easier to locate if it
> occurs again in a different way, by adding a WARN_ON() when we run out
> of room in a netlink packet in this manner.
> 
> The second patch actually fixes the problem, by only reporting
> IFLA_VF_PORTS information when the RTEXT_FILTER_VF flag is specified.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Once you fix a couple of coding style errors mentioned by Jiri then

Acked-by: Greg Rose <[email-masked]>